/eventsinfo/Get Event Details
Get event details
Implementation Notes
This API call returns the complete details of all events available in the EVENTS database.
If an event is not found, please send a request to events@aggregateintelligence.in. We will try to add it within 24 hours.
Search Criteria:
- Any parameter (single or in any combination).
- If
latandlngare chosen, thenproximityhas to be chosen as well.
Field Formats:
-
category: "string" (Can be number, range, or both)
Example:{ "category": "2,4-5" } -
subCategory: "string" (Can be number, range, or both)
Example:{ "subCategory": "2,7,10-15" } -
date format: "YYYY-MM-DD"
-
estimatedAttendee:
Format:- Range value: "100-500"
- Min value: "<500"
- Max value: ">500"
- Exact: "500"
-
proximity: "
- string" (Should be numeric and in miles)
- Eg - "proximity": "2"
-
eventStatusCode: Should be a integer value as follows [0,1,2,3,4,5]
- 0: All Events
- 1: Scheduled
- 2: Rescheduled
- 3: Postponed
- 4: Holiday Events
- 5: Cancelled
-
eventId: Unique ID assigned to an event in EVENTS database. If the user knows the eventid, they can fetch the complete event details by calls made on this method.
Example 1:
{ "eventId": 0, "eventName": "Hamilton", "category": "2-4", "subCategory": "2,5-7", "startDate": "2025-08-02", "estimatedAttendee": ">1", "venue": "Baby's All Right", "address": "146 Broadway, Brooklyn", "city": "Barcelona", "state": "New York", "zip": "11211", "country": "United States", "region": "North_America", "lat": "38.4127251", "lng": "-79.5824095", "proximity": 0, "eventStatusCode": 0 }
Example 2:
{ "eventId": 3531599, "eventName": "Argentino de Quilmes vs. CS Dock Sud", "category": "1-5", "subCategory": "56", "startDate": "2025-08-02", "estimatedAttendee": ">1", "venue": "Argentino Maple", "address": "165 W Main St", "city": "Ziro", "state": "Virginia", "zip": "24465", "country": "United States", "region": "North_America", "lat": "38.41", "lng": "-79.52", "proximity": 0, "eventStatusCode": 1 }
Example 3:
{ "eventId": 3504099, "eventName": "Highland County Maple Festival", "category": "1-5", "subCategory": "56", "startDate": "2025-08-02", "estimatedAttendee": ">1", "venue": "Highland County", "address": "165 W Main St", "city": "Monterey", "state": "Virginia", "zip": "24465", "country": "United States", "region": "North_America", "lat": "38.4127251", "lng": "-79.5824095", "proximity": 0, "eventStatusCode": 1 }
/eventsinfo/Parameter Details
| Name | In | Type | Required | Description |
|---|---|---|---|---|
eventsinfoPerPage | query | integer | Optional | The number of items to display in a page |
pageNumber | query | integer | Optional | Indicates the current page number |
body | body | object | Required | none |
» eventId | body | integer | Optional | none |
» eventName | body | string | Optional | none |
» category | body | string | Optional | none |
» subCategory | body | string | Optional | none |
» startDate | body | string(date) | Optional | none |
» estimatedAttendee | body | string | Optional | none |
» venue | body | string | Optional | none |
» address | body | string | Optional | none |
» city | body | string | Optional | none |
» state | body | string | Optional | none |
» zip | body | string | Optional | none |
» country | body | string | Optional | none |
» region | body | string | Optional | none |
» lat | body | string | Optional | none |
» lng | body | string | Optional | none |
» proximity | body | integer | Optional | none |
» eventStatusCode | body | integer | Optional | none |
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | OK | |
| 400 | Bad Request | Bad request | None |
| 401 | Unauthorized | Unauthorized | None |
| 429 | Too Many Requests | Too Many Requests | None |
| 500 | Internal Server Error | Internal server error | None |
Example Request
# You can also use wget
curl -X POST https://api.events.example.com/api/v1/eventsinfo/ \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer {access-token}'
Example responses
{
"eventId": 0,
"eventName": "Hamilton",
"category": "2-4",
"subCategory": "2,5-7",
"startDate": "2025-08-02",
"estimatedAttendee": ">1",
"venue": "Baby's All Right",
"address": "146 Broadway, Brooklyn",
"city": "Barcelona",
"state": "New York",
"zip": "11211",
"country": "United States",
"region": "North_America",
"lat": "38.4127251",
"lng": "-79.5824095",
"proximity": 0,
"eventStatusCode": 0
}Body parameter
{
"eventId": 0,
"eventName": "",
"category": "0",
"subCategory": "0",
"startDate": "2019-08-24",
"estimatedAttendee": "",
"venue": "",
"address": "",
"city": "",
"state": "",
"zip": "",
"country": "",
"region": "",
"lat": "",
"lng": "",
"proximity": 0,
"eventStatusCode": 1
}
Example responses
{
"pageInfo": {
"totalRecords": 1,
"fetchedRecords": 1,
"totalPages": 1,
"currentPage": 1,
"pageSize": 10
},
"events": [
{
"id": 23271839,
"eventId": 3504099,
"venueId": 990977,
"eventName": "Highland County Maple Festival",
"category": "Tradeshows, Business events and conferences",
"subCategory": "Tradeshows/Fairs/Expo",
"description": "The award-winning Highland County Maple Festival, designated a Local Legacy by the Library of Congress, offers maple sugar camp tours where visitors can observe traditional and modern techniques of sugar making in the beautiful mountains of Virginia. This award-winning festival attracts 20,000 - 30,000 visitors annually during the 2nd and 3rd weekends of March, where visitors enjoy maple syrup, famous maple doughnuts, pancake, and buckwheat cake meals, sweet and savory treats, handmade arts & crafts, live entertainment, and small-town hospitality. Come on out, and experience the tradition that's been running strong since 1959!",
"startDate": "2025-04-10 00:00:00",
"endDate": "2025-04-10 00:00:00",
"estimatedAttendees": 2106,
"venue": "Highland County",
"address": "165 W Main St",
"city": "Monterey",
"state": "Virginia",
"zip": "24465",
"country": "United States",
"countryCode": "USA",
"region": "North_America",
"latitude": "38.4127251",
"longitude": "-79.5824095",
"eventStatus": "Scheduled"
}
]
}
Need Support?
Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.